%global srcname yarg

%global _description\
Yarg is an easy to use PyPI client built on top of Python's requests library.

Name:           python-%{srcname}
Version:        0.1.9
Release:        3%{?dist}
Summary:        An easy to use PyPI client

License:        MIT
URL:            https://yarg.readthedocs.org/
Source0:        https://github.com/kura/yarg/archive/%{version}/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(mock)

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
 
Requires:       python3dist(requests)
%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}
# Remove bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{srcname}
%license LICENSE-REQUESTS LICENSE
%doc README.rst
%{python3_sitelib}/tests
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jul 01 2018 Dhanesh B. Sabane <dhanesh95@fedoraproject.org> - 0.1.9-2
- Add additional build dependency for tests

* Sun Jun 24 2018 Dhanesh B. Sabane <dhanesh95@disroot.org> - 0.1.9-1
- Initial package.
